This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 909042 - RFE: Zanata server supports JBoss EAP 6.1.0 and Hibernate 4.x
RFE: Zanata server supports JBoss EAP 6.1.0 and Hibernate 4.x
Status: CLOSED CURRENTRELEASE
Product: Zanata
Classification: Community
Component: Maintainability (Show other bugs)
development
Unspecified Unspecified
unspecified Severity high
: ---
: 3.0
Assigned To: Sean Flanigan
Ding-Yi Chen
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-02-08 00:43 EST by Sean Flanigan
Modified: 2013-11-26 22:36 EST (History)
3 users (show)

See Also:
Fixed In Version: 3.0.0-alpha-2-SNAPSHOT (20130806-0036)
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-26 22:25:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Sean Flanigan 2013-02-08 00:43:42 EST
To take advantage of platform improvements, we should migrate to AS 7.x and Hibernate Search 3.x.  

This will also require upgrading to Seam 2.3, Hibernate Core/Validator 4.x, JSF 2 and RichFaces 4.
Comment 1 Ding-Yi Chen 2013-07-24 21:29:34 EDT
Test Conditions:

1. zanata 3.0 can be installed on the JBoss Enterprise Application Platform (JBoss eap) 6.1.0 and Hibernate 4.x)

2. Verify that main use cases are functional on above configuration. Following use cases will be tested:
   a. Create project and version
   b. Source File upload 
   c. Translation File upload
   d. Client push source and translation
   e. Enter Translation
   f. Translation File download
   g. Client pull translation
   h. Translation Search  (TM search will be tested in different bug)
Comment 2 Ding-Yi Chen 2013-07-25 00:53:36 EDT
For the latest test conditions and other test documentation, see https://github.com/zanata/zanata-server/wiki/JBoss-EAP-6.1.0-Support
Comment 3 Ding-Yi Chen 2013-08-05 20:39:14 EDT
VERIFIED with Zanata version 3.0.0-alpha-2-SNAPSHOT (20130806-0036)
Comment 4 Sean Flanigan 2013-11-26 22:15:53 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 5 Sean Flanigan 2013-11-26 22:17:00 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 6 Sean Flanigan 2013-11-26 22:19:09 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 7 Sean Flanigan 2013-11-26 22:25:11 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 8 Sean Flanigan 2013-11-26 22:33:49 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.
Comment 9 Sean Flanigan 2013-11-26 22:36:04 EST
Closing VERIFIED bugs for Zanata versions <= 3.1.

Note You need to log in before you can comment on or make changes to this bug.